package es.ejie.frmk.infraestructura.utilidades.mapeador.converters;

import es.ejie.frmk.infraestructura.utilidades.mapeador.Q70ConverterMapeador;

/**
 * Clase que realiza la conversión de string a string recortado
 * @author UFRM005
 * @version 1.0
 */

public class Q70trimConverter implements Q70ConverterMapeador{
	
	// variables miembro
	
	Object objInformacion = null;	
	
	// métodos miembro
	
	/**
	 * Constructor de la clase
	 */
	public Q70trimConverter() {
		super();
	}
	
	/**
	 * Función que pone la información para la conversión
	 * @see es.ejie.frmk.infraestructura.utilidades.mapeador.Q70ConverterMapeador
	 * */
	public void setConvertInformation(Object newObjInformacion) {
		this.objInformacion = newObjInformacion;
	}

	/**
	 * Función que realiza la conversión
	 * @see org.apache.commons.beanutils.Converter
	 * */
	public Object convert(Class type, Object value) {
		
		String strValue = (String)value;
		strValue = strValue.trim();
	
	return strValue;	
	}

}
